Bug 7567 - нерабочие/опасные умолчания по id3 tags в кириллической среде
: нерабочие/опасные умолчания по id3 tags в кириллической среде
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/easytag)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-08-04 17:39 by
Modified: 2007-05-15 14:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-04 17:39:01
** (easytag:3729): WARNING **: convert_string(): Failed conversion from charset
'UTF-8' to 'UTF-8'. String '\325\360\345\361\362\356\354\340\362\350\377 1980 -
87'. Errcode 1 (Недопустимая последовательность байтов для преобразования
содержится во входной строке).

Тег создан тем же easytag.
------- Comment #1 From 2006-12-12 13:21:37 -------
Это ещё актуально?
------- Comment #2 From 2007-02-27 13:51:43 -------
Закроем?
------- Comment #3 From 2007-04-25 10:40:20 -------
УМВР.  Худшее, что пришлось сделать -- это ткнуться в id3v1 с cp1251, заметить
кракозябры в разобранном по компонентам виде справа (хотя сверху "сумма" --
читабельная), сходить в Settings->Preferences->ID3 Tag Settings, включить обе
"нестандартные" галки и повыбирать в их селекторах "Cyrillic (Windows-1251)". 
Ну и на всякий следующую галку переключить в "Do nothing".

Если вдруг ты наберёшься чего-нибудь или обернуть easytag (см. /usr/bin/xmms),
или попатчить, чтоб при локалях be_BY/ru_RU/uk_UA соответствующие значения в
конфиге сразу инициализировались в такой вид -- ну, хорошо.  А так...

В общем, перекрашиваю в enh и вешаю на thresh@.
------- Comment #4 From 2007-04-27 20:29:43 -------
если я правильно понял про "сумму" -- это имя файла, видимо, оно у тебя было
таки правильное :)

fixed в 2.0.1-alt1.
------- Comment #5 From 2007-04-28 02:04:12 -------
еще немного fixed в
http://git.altlinux.ru/people/thresh/packages/?p=easytag.git;a=commitdiff;h=c64be67f5fb378f75ab5c5572adcfe5de517ff95

потестирую пока
------- Comment #6 From 2007-05-15 14:46:06 -------
совсем fixed в 2.0.2-alt1